Update AI provider connection
PUT
/api/v1/ai/connections/{id}
const url = 'https://example.com/api/v1/ai/connections/example';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"apiKey":"example","defaultModel":"example","disabled":true,"endpoint":"example","extra":{"additionalProperty":"example"},"name":"example","provider":"example","shared":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/api/v1/ai/connections/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "apiKey": "example", "defaultModel": "example", "disabled": true, "endpoint": "example", "extra": { "additionalProperty": "example" }, "name": "example", "provider": "example", "shared": true }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Request Body
Section titled “Request Body”Media typeapplication/json
object
apiKey
string
defaultModel
string
disabled
boolean
endpoint
string
extra
object
key
additional properties
string
name
required
string
provider
required
string
shared
boolean
Examplegenerated
{ "apiKey": "example", "defaultModel": "example", "disabled": true, "endpoint": "example", "extra": { "additionalProperty": "example" }, "name": "example", "provider": "example", "shared": true}Responses
Section titled “Responses”OK
default
Section titled “default”Problem Details (RFC 9457)
Media typeapplication/problem+json
object
code
required
string
detail
string
instance
string
status
required
integer
title
required
string
type
required
string
Examplegenerated
{ "code": "example", "detail": "example", "instance": "example", "status": 1, "title": "example", "type": "example"}